<?php 
/**
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
**/
function XSLT($xml,$tpl,$gbank_graphic) {
    /* xml ->    dom */
    $domxml = new DOMDocument();
    $domxml -> load($xml);
    /* считываем xsl */
    $xsl = new DomDocument();
    $xsl -> load($tpl);

    /* производим трансформацию */ 
    $proc = new XsltProcessor();
    $proc -> importStylesheet($xsl);
    $proc -> setParameter('', 'GBANK_GRAPHIC', $gbank_graphic);
    $proc -> setParameter('', 'GBANK_GRAPHIC_REMOVE_SUBDIR', GBANK_GRAPHIC_REMOVE_SUBDIR);
    $proc -> setParameter('', 'ADD_REL_PATH', ADD_REL_PATH);
    echo $proc-> transformToXML($domxml);
}

function get_charDecl_xml($id, $data_xml) {
    /* xml -> dom */
    $domxml = new DOMDocument();
    $domxml -> load($data_xml);
    /* xsl -> dom */
    $domxsl = new DomDocument();
    $domxsl -> load(GBANK_CHAR_XML_XSL);
       
    /* transformation */ 
    $xsl = new XsltProcessor();
    $xsl -> importStylesheet($domxsl); 
    $xsl -> setParameter('', 'id', $id);  

    echo $xsl -> transformtoXML($domxml); 
}

?>
