<?php
/**
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
**/
include_once('gbank_resource.php');
include_once('gbank_routines.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name ="description" content="ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database."/>
    <link rel="stylesheet" type="text/css" href="<?php echo ADD_REL_PATH; ?>css/table.css"/>
    <script type="text/javascript" src="<?php echo ADD_REL_PATH; ?>javascript/gbank_table.js"></script>
    <script type="text/javascript" src="<?php echo ADD_REL_PATH; ?>javascript/jx_compressed.js"></script>
    <title>ENRICH gBank viewer - v.<?php echo ADD_REL_PATH.GBANK_VER; ?></title>
    <script type="text/javascript">
		var addRelPath = "<?php echo ADD_REL_PATH; ?>";
		var relPath = document.location.href.substring(0, document.location.href.indexOf('.php'));
            relPath = relPath.substring(0, relPath.lastIndexOf('/')) + "/" + addRelPath;
    var tableVariant = 'ocs';
	</script>
</head>
<body>
<div id="wt_msg" style="display:none">
	<h2 id="wt_msg_header">Message</h2>
	<div id="wt_msg_text">This is a message.</div>
	<input id="wt_msg_button" type="button" onclick="toggleMessage()" style="display:none"/>
</div>
<div id="gbc_msg" style="display:none">
	<h2 id="gbc_msg_header">Message</h2>
	<div id="gbc_msg_text">This is a message.</div>
	<input id="gbc_msg_button" type="button" onclick="toggleMessage()" style="display:none"/>
</div>

<?php echo XSLT(ADD_REL_PATH.GBANK_DATA_XML_OCS, ADD_REL_PATH.GBANK_BROWSE_XSL, GBANK_GRAPHIC_OCS); ?>

<?php if (false) : ?>
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-15839913-3']);
  _gaq.push(['_setDomainName', '.manuscriptorium.com']);
  _gaq.push(['_trackPageview']);

  (function() {
	var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
<?php endif; ?>
</body>
</html>