<?php 
include_once('gbank_resource.php');
include_once('gbank_routines.php');
?>
<?php echo '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" type="text/css" href="css/index.css"/>
    <title>The ENRICH Gaiji Bank</title>
</head>
<body>
  	<p>The use of Unicode is rightly commonplace as a character encoding for electronic documents. While the choice to use Unicode is beneficial, there are many contexts in which there are valid needs for characters and glyphs not represented in Unicode. The nature of medieval manuscripts and their descriptions creates a need of non-standard characters.</p>
<p>There are a number of clear recommendations that come out of the use of Unicode and nonstandard characters in the ENRICH project:</p>
<hr/>
<ul>
	<li>Wherever possible projects should use a Unicode character encoding such as UTF-8.</li>
	<li>Projects needing to reference or record non-standard characters should in preference adopt a system such as the TEI Gaiji module recommendations for documenting their use of non-standard characters and/or the Unicode Private Use Area. ENRICH strongly recommends use of the TEI Guidelines in preference for such undertakings.</li>
	<li>Character normalization should be well-documented and consistently applied using standardized decomposed characters that have wide font support. Any mappings to such characters need to be clearly documented.</li>
	<li>All transformations, migrations, indexing and search routines should use the same table of equivalences in searching for normalized fonts.</li>
	<li>Although CSS3 web fonts provide a promising method to push fonts to users viewing a web page, this should not yet be recommended practice until consistently implemented across browsers.</li>
</ul>
		<p>This gBank application should serve to end-users interested in finding a particular non-standard character. The interface displays characters arranged in sets which can be further searched in order to find individual characters.<br/> </p>
<br/>		
    <p><a href="<?php echo ADD_REL_PATH; ?>gbank_table.php">Browse special and non-standard characters</a> in gBank (<a href="#" onclick="popupWin = window.open('<?php echo ADD_REL_PATH; ?>gbank_table.php','Gaiji','location,width=800,height=600,top=0,scrollbars=yes');popupWin.focus();" style="cursor:pointer;">open new window</a>).</p>
    <p><span style="padding:0 5px; background:silver;">NEW!</span> <a href="<?php echo ADD_REL_PATH; ?>gbank_table_ocs.php">Browse old slavic cyrillic characters</a> (<a href="#" onclick="popupWin = window.open('<?php echo ADD_REL_PATH; ?>gbank_table_ocs.php','Gaiji','location,width=800,height=600,top=0,scrollbars=yes');popupWin.focus();" style="cursor:pointer;">open new window</a>).</p>
    <br/>    
<p>Please read also the documentation available below.</p>

<hr/>
    <ul>
        <li><a href="<?php echo ADD_REL_PATH; ?>docs/ENRICH Gaiji Bank.pdf" >The ENRICH Project and Non-Standard Characters (PDF)</a></li>
        <li><a href="http://tei.oucs.ox.ac.uk/ENRICH/gBank/gBank.xml?style=raw" >The XML file of the above</a> (view source)</li>
        <li><a href="http://tei.oucs.ox.ac.uk/ENRICH/gBank/gBankImages.zip" >A zip file of the ENRICH gBank with the glyph images</a></li>
        <li><a href="<?php echo ADD_REL_PATH; ?>gBank_app.zip" >A zip file of the ENRICH gBank application (under GPL v.3 License)</a></li>        
    </ul>
    <p></p>
    <p></p>
    <p></p>
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-15839913-3']);
  _gaq.push(['_setDomainName', '.manuscriptorium.com']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</body>
</html>