/**
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
**/
var arrayElem = new Object();
var about = new Object();
var changes = new Object();

function init() {
}
/*******************************************/
/**           Directory section           **/
/*******************************************/
var node, nodElem, nodePrev, nodElemPrev, id;
function dirOnMouseOver() {
	id = this.id;
    node = document.getElementById(id);
    if (document.getElementById("dirSymbols" + id.substring(7)).style.display == "none") {
        node.className = "dirName selected";
    }
}
function dirOnMouseOut() {
	id = this.id;
    node = document.getElementById(id);
    if (document.getElementById("dirSymbols" + id.substring(7)).style.display == "none") {
        node.className = "dirName";
    }
}
var flagPrevDir = false;

function dirOnClick() {
	id = this.id;
    node = document.getElementById(id);
    nodElem = document.getElementById("dirSymbols" + this.id.substring(7));
    if (nodElem.style.display == "none") {
        if (flagPrevDir) {
            nodePrev.className = "dirName";
            nodElemPrev.style.display = "none";                     
        } else {
            flagPrevDir = true;
        }
        nodePrev = node;
        nodElemPrev = nodElem;
        node.className = "dirName selected";
        nodElem.style.display = "block";
    } else {
        node.className = "dirName";
		nodElem.style.display = "none";
        flagPrevDir = false;
    }
    document.location.replace("#dirName"+(id.substring(7)-6));
}
/*******************************************/
/**           Element section             **/
/*******************************************/
function elementOnMouseOver(id, cx, cy) {
   	node = document.getElementById(id);
    if (node.nodeName.toLowerCase() == 'img') {
//    	document.getElementById("description").innerHTML = node.getAttribute("alt");
		toggleMessage("",node.getAttribute("alt"),"no",cx,cy,"gbc_msg");
    }
    else {
//    	document.getElementById("description").innerHTML = node.innerHTML;
		toggleMessage("",node.innerHTML,"no",cx,cy,"gbc_msg");
    }
}
function elementOnMouseOut() {
	closeMessage("gbc_msg");
//    document.getElementById("description").innerHTML = "";    
}

function fixedCharCodeAt (str, idx) { //calculate Unucode-combined symbol
    var code = str.charCodeAt(idx);
    if (0xD800 <= code && code <= 0xDBFF) { 
        // Верхний вспомогательный символ
        var hi = code;
        var low = str.charCodeAt(idx+1);
        return ((hi - 0xD800) * 0x400) + (low - 0xDC00) + 0x10000;
    }
    if (0xDC00 <= code && code <= 0xDFFF) { 
       // Нижний вспомогательный символ
        var hi = str.charCodeAt(idx-1);
        var low = code;
        return ((hi - 0xD800) * 0x400) + (low - 0xDC00) + 0x10000;
    }
    return code;
}

var codeNodeContent;
function elementOnClick() {
	id = this.id;
    node = document.getElementById(id);
    
    /* codeNodeContent - formation <div id='showCode'></div>-block's content */    
    codeNodeContent = "<img id='msg_img' /><span id='symbolId'>" + id + "</span><span class='symbolName'>";
    if (node.nodeName.toLowerCase() == 'img') {codeNodeContent += node.getAttribute('alt');}
    else {codeNodeContent += node.innerHTML;}
    codeNodeContent += "</span>";
    codeNodeContent += "<br /><br />";

    for (mappingId in arrayElem[id].mapping) {
        if (arrayElem[id].mapping[mappingId].type == 'standardized'){
            codeNodeContent += "<span>standardized mapping:</span><br /><div class='code'>";
            codeNodeContent += "<span>&#60;g ref=&#34;#" + id + "&#34;&#62;" + arrayElem[id].mapping[mappingId].value + "&#60;/g&#62;</span></div>";
            codeNodeContent += "<div class='code'><span>&#60;g ref=&#34;";
            codeNodeContent += relPath + "gbank_char.php?id=" + id;
            codeNodeContent += "&#34;&#62;" + arrayElem[id].mapping[mappingId].value + "&#60;/g&#62;</span></div>";
            codeNodeContent += "<span class='symbolExplain'>Copy one of this codes above and paste it in your XML TEI P5 document.</span><br/><br/>";
        }
    }
    
    codeNodeContent += "<span id=addInfo>Additional info:</span><br/>"
    for (mappingId in arrayElem[id].mapping) {      
        if (arrayElem[id].mapping[mappingId].type == 'MUFI' && arrayElem[id].mapping[mappingId].subtype == 'Unicode'){
            if (!isNaN(fixedCharCodeAt(arrayElem[id].mapping[mappingId].value, 1))) {
                stSymbol = "&#38;#x" + fixedCharCodeAt(arrayElem[id].mapping[mappingId].value, 1).toString(16).toUpperCase() + ';';
            }
            else stSymbol = "&#38;#x" + arrayElem[id].mapping[mappingId].value.charCodeAt().toString(16).toUpperCase() + ';';
            codeNodeContent += "<span id='charRef'>HTML entity (hex):</span><div class='code'><span>" + stSymbol + "</span></div>";
        }
        if (arrayElem[id].mapping[mappingId].type == 'MUFI' && arrayElem[id].mapping[mappingId].subtype == 'Combined') {
            codeNodeContent += "<span>MUFI mapping (Combined):</span><div class='code'>";
            codeNodeContent += "<span>" + arrayElem[id].mapping[mappingId].value + "</span></div>";
        }
	}
    for (charPropId in arrayElem[id].charProp) {
        codeNodeContent += arrayElem[id].charProp[charPropId].localName + ":<br/><div class='code'>";
        if (arrayElem[id].charProp[charPropId].localName == "combined-entity")
            codeNodeContent += arrayElem[id].charProp[charPropId].value;
        else codeNodeContent += "&amp;" + arrayElem[id].charProp[charPropId].value + ";";            
        codeNodeContent += "</div>";
    }
    if (arrayElem[id].note != "") {
    	codeNodeContent += "<div class='symbolAdditionalInfo'><strong>Note:</strong> " + arrayElem[id].note + "</div>";
    }
    codeNodeContent += "<br/><br/><div>";
    codeNodeContent += "<a id='link'>Get the character's XML source</a></div>";
    imgSrc = document.getElementById(id).src;
	closeMessage();
	toggleMessage("Character properties",codeNodeContent);
	document.getElementById('link').onclick = linkOnClick;
}
/***********************************************************************************/
/*                                For Ajax                                         */
/***********************************************************************************/
function linkOnClick() {
	var request = relPath + "gbank_char.php?id=" + document.getElementById('symbolId').innerHTML;
	
	//function from jx_compressed.js - JavaScript Ajax Library, see documentation: http://www.openjs.com/scripts/jx/
	jx.load(request, function(charXML){getCharXML(charXML)});
}

function getCharXML(charXML) {
	closeMessage();
    while(charXML.search('<') != -1) {
        charXML = charXML.replace('<', '&#60;');
    }
    charXML = "<pre>" + charXML + "</pre><div><a id='backToChar'>back</a></div>";
	toggleMessage("Character properties",charXML);
	document.getElementById('backToChar').onclick = backToChar;
}

function backToChar() {
    closeMessage();
    toggleMessage("Character properties",codeNodeContent);
	document.getElementById('link').onclick = linkOnClick;
}

/********* funkce pro zobrazovani zpravy / okna s popisem znaku **********/

function toggleMessage(msgHeader,msgText,msgConfirm,cX,cY,elmid) {
//	alert(cX+", "+cY);
	if (elmid=="gbc_msg") {
		var mW=400;
		var mH=100;
	} else {
		var mW=700;
		var mH=300;
	}
	if (msgHeader === undefined) msgHeader="Message";
	if (msgText === undefined) msgText="This is a message.";
	if (msgConfirm === undefined) msgConfirm="close";
	if (elmid === undefined) elmid="wt_msg";
	if (cX === undefined) cX=-1;
	if (cY === undefined) cY=-1;
	document.getElementById(elmid+"_header").innerHTML=msgHeader;
	if (msgHeader=="") document.getElementById(elmid+"_header").style.display="none"; else document.getElementById(elmid+"_header").style.display="block";
	document.getElementById(elmid+"_text").innerHTML=msgText;
    try {document.getElementById('msg_img').src=imgSrc;} catch(e) {}
	document.getElementById(elmid).style.width=mW+"px";
    
	var propX=0;
	if (cX>-1) {
		propX=cX+5+wtf_scrollLeft();
		if (wtf_clientWidth()<(propX+mW)) {
			propX=wtf_clientWidth()-mW-15;
		}
		document.getElementById(elmid).style.left=propX+"px";
	} else {
		propX=Math.round((wtf_clientWidth()-mW)/2)+wtf_scrollLeft();
		document.getElementById(elmid).style.left=propX+"px";
	}
	if (propX<0) {
		document.getElementById(elmid).style.left="0px";
		document.getElementById(elmid).style.width=wtf_clientWidth()-6+"px";
	}
	if (cY>-1) {
		document.getElementById(elmid).style.top=cY+5+wtf_scrollTop()+"px";
	} else {
		document.getElementById(elmid).style.top=Math.round((wtf_clientHeight()-mH)/2)+wtf_scrollTop()+"px";
	}
	switch (msgConfirm) {
		case "close":
			document.getElementById(elmid+"_button").style.display="inline";
			document.getElementById(elmid+"_button").value="Close";
			break;
		case "ok":
			document.getElementById(elmid+"_button").style.display="inline";
			document.getElementById(elmid+"_button").value="OK";
			break;
		case "cancel":
			document.getElementById(elmid+"_button").style.display="inline";
			document.getElementById(elmid+"_button").value="Cancel";
			break;
		default:
			document.getElementById(elmid+"_button").style.display="none";
	}
	if (document.getElementById(elmid).style.display=="block" && elmid!="gbc_msg") {
		document.getElementById(elmid).style.display="none";
	} else {
		document.getElementById(elmid).style.display="block";
	}
}

function closeMessage(elmid) {
	if (elmid === undefined) elmid="wt_msg";
	document.getElementById(elmid).style.display="none";
}



/************************* Skripty prevzate z adresy *******************************/
/*   http://www.softcomplex.com/docs/get_window_size_and_scrollbar_position.html   */
/***********************************************************************************/

function wtf_clientWidth() {
  return wtf_filterResults (window.innerWidth ? window.innerWidth : 0, document.documentElement ? document.documentElement.clientWidth : 0,document.body ? document.body.clientWidth : 0);
}

function wtf_clientHeight() {
  return wtf_filterResults (window.innerHeight ? window.innerHeight : 0,document.documentElement ? document.documentElement.clientHeight : 0,document.body ? document.body.clientHeight : 0);
}

function wtf_scrollLeft() {
	return wtf_filterResults (window.pageXOffset ? window.pageXOffset : 0,document.documentElement ? document.documentElement.scrollLeft : 0,document.body ? document.body.scrollLeft : 0);
}

function wtf_scrollTop() {
	return wtf_filterResults (window.pageYOffset ? window.pageYOffset : 0, document.documentElement ? document.documentElement.scrollTop : 0, document.body ? document.body.scrollTop : 0);
}

function wtf_filterResults(n_win, n_docel, n_body) {
	var n_result = n_win ? n_win : 0;
	if (n_docel && (!n_result || (n_result > n_docel))) n_result = n_docel;
	return n_body && (!n_result || (n_result > n_body)) ? n_body : n_result;
}

