<?xml version="1.0" encoding="UTF-8"?>
<!--
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output indent="yes" encoding="UTF-8" method="xml" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<xsl:apply-templates select="TEI/teiHeader/encodingDesc/charDecl"/>
	</xsl:template> 
 
    <xsl:template match="TEI/teiHeader/encodingDesc/charDecl">
		<xsl:apply-templates select="char"/>
    </xsl:template>
    
    <xsl:template match="char">
		<xsl:choose>
			<xsl:when test="$id=@xml:id">
			<xsl:copy><xsl:attribute name="xml:id"><xsl:value-of select="@xml:id"/></xsl:attribute>
				<xsl:apply-templates select="desc"/>
				<xsl:apply-templates select="charProp"/>
				<xsl:apply-templates select="mapping"/>
				<xsl:apply-templates select="graphic"/>
				<xsl:apply-templates select="note"/>				
			</xsl:copy>
			</xsl:when>
		</xsl:choose>
    </xsl:template>

    <xsl:template match="desc">	
    	<xsl:copy><xsl:apply-templates/></xsl:copy>
	</xsl:template>

    <xsl:template match="charProp">	
    	<xsl:copy>
			<xsl:apply-templates select="localName"/>
			<xsl:apply-templates select="value"/>
		</xsl:copy>
	</xsl:template>
	
    <xsl:template match="localName">	
    	<xsl:copy><xsl:apply-templates/></xsl:copy>
	</xsl:template>	
	<xsl:template match="value">	
    	<xsl:copy><xsl:apply-templates/></xsl:copy>
	</xsl:template>
	
	<xsl:template match="mapping">
		<xsl:copy>
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="@subtype != ''">
					<xsl:attribute name="subtype"><xsl:value-of select="@subtype"/></xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates/>
		</xsl:copy>	
	</xsl:template>
	
	<xsl:template match="graphic">
		<xsl:copy><xsl:attribute name="url"><xsl:value-of select="@url"/></xsl:attribute></xsl:copy>	
	</xsl:template>

	<xsl:template match="note">
		<xsl:copy><xsl:apply-templates/></xsl:copy>	
	</xsl:template>
		
</xsl:stylesheet>
